<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package LZ Fitness Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link href="https://fonts.googleapis.com/css?family=Roboto:700" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Dancing+Script" rel="stylesheet">
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>

	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.min.js" crossorigin="anonymous"></script>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <div class="main-container">
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'gurukul' ); ?>
		</a>
		<header class="site-header header-transparent header mo-left header-seo">
	
			<div class="main-header">
				
				<div class="row"> 
					<div class="col-md-3 col-md-offset-1 col-sm-6 padding0">
						<div class="logobox">
							<?php 
							if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
								the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
								<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php else : ?>
								<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
							<?php endif; ?>
							<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>
						<?php endif; ?>
						<!-- .site-branding -->
					</div>
					</div>
							<!-- main header -->
							<div class="col-md-8 col-sm-6 padding0">
								<!-- <div class="col-md-offset-2 inside-full-height"> -->

									<div class="header-box">
										<div class="col-md-9 col-md-offset-3 col-sm-12 upper-header">
						<?php
							$facebook = get_theme_mod('lz_fitness_header_fb', '//facebook.com/');
							$twitter = get_theme_mod('lz_fitness_header_tw', '//twitter.com/');
							//$googlePlus = get_theme_mod('lz_fitness_header_it', '//plus.google.com/');
							$linkedIn = get_theme_mod('lz_fitness_header_in', '//linkedin.com/');
							$instagram = get_theme_mod('lz_fitness_header_insta', '//www.instagram.com/');
							 $youtube = get_theme_mod('lz_fitness_header_yt', '//www.youtube.com/');
							$phone = get_theme_mod('lz_fitness_headermain_phone', '+123-345-6789');
							$email = get_theme_mod('lz_fitness_headermain_email', 'info@yourwebsite.com');
							?>
							<div class="header-right-box">
								<?php if($phone){ ?>
									<div class="col-md-4 col-sm-6 padding0">	
										<div class="contact-border">
											<div class="data"><i class="fa fa-phone" aria-hidden="true"></i><?php echo $phone;?></div>
										</div>
										<div class="clearfix"></div>
									</div>
								<?php } ?>

								<?php if($email){ ?>
									<div class="col-md-4 col-sm-6 padding0">	
										<div class="contact-border">
											<div class="mailto"><a href="mailto:<?php echo $email;?>"><i class="fa fa-envelope-o" aria-hidden="true"></i><?php echo $email ;?></a></div>
										</div>
										<div class="clearfix"></div>
									</div>
								<?php } ?>
								</div>
								<div class="header-social-links col-md-3 col-sm-12 padding0">
									<?php if(!empty($facebook)){ ?>
										<a href="<?php echo $facebook ?>" target="_blank" title="Facebook"><span class="fa fa-facebook"></span></a>
									<?php }?>
									<?php if(!empty($twitter)){ ?>
										<a href="<?php echo $twitter ?>" target="_blank" title="Twitter"><span class="fa fa-twitter"></span></a>
									<?php }?>
									<?php if(!empty($youtube)){ ?>
										<a href="<?php echo $youtube ?>" target="_blank" title="Youtube"><span class="fa fa-youtube"></span></a>
									<?php }?>
									<?php if(!empty($linkedIn)){ ?>
										<a href="<?php echo $linkedIn ?>" target="_blank" title="linkedIn"><span class="fa fa-linkedin"></span></a>
									<?php }?>
								</div>
								<div class="clearfix"></div>
							</div>
										<div class="top-bar-head">
											<div class="site-navigation ">
												<div class="hamburger-menus">
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
													<span></span>
												</div>
												<nav class="navigation">
													<div class="overlaybg"></div><!--  /.overlaybg -->
													<!-- Main Menu -->
													<div class="menu-wrapper">
														<div class="menu-content">
															<?php
															if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
																wp_nav_menu ( array(
																	'menu_class' => 'mainmenu ht-clearfix',
																	'container'=> 'ul',
																	'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
																	'theme_location' => 'primary',  
																)); 
															} else {
																wp_nav_menu ( array(
																	'menu_class' => 'mainmenu ht-clearfix',
																	'container'=> 'ul',
																	'theme_location' => 'primary',  
																)); 
															}
															?>
														</div> <!-- /.hours-content-->

														<div class="clearfix"></div>

													</div><!-- /.menu-wrapper --> 
												</nav>
												<div class="clearfix"></div>
											</div><!--  /.site-navigation -->

										</div>
									</div>
									<!-- </div> -->
								</div>
							</div>
							<!-- main header END -->
							<div class="clearfix"></div>
						</div>
						<div class="border-header"></div>
					</header><!-- #masthead -->
	</div>
