<?php
/**
 * Customiser section for featured
 **/
// Start Feature section 
$wp_customize->add_section(
    'lz_fitness_featured_section',
    array(
        'title' => __( 'Featured Section', 'lz-fitness-premium' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE FEATURED SECTION
$wp_customize->add_setting(
    'lz_fitness_featured_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_featured_section_disable',
        array(
            'settings'      => 'lz_fitness_featured_section_disable',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'lz-fitness-premium' ),
                'off' => __( 'No', 'lz-fitness-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'featured', 'lz_fitness_featured_section', $color='#ffffff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting(
    'lz_fitness_featured_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_featured_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_featured_title_sub_title_heading',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Section Title', 'lz-fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting(
    'lz_fitness_featured_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'OUR FEATURES', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_title',
    array(
        'settings'      => 'lz_fitness_featured_title',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
        'lz_fitness_featured_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_image_heading',
            array(
                'settings'      => 'lz_fitness_featured_image_heading',
                'section'       => 'lz_fitness_featured_section',
                'label'         => __( 'Banner Center Image', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_featured_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_featured_image',
            array(
                'section' => 'lz_fitness_featured_section',
                'settings' => 'lz_fitness_featured_image',
                'description' => __('Recommended Image Size: 500X600px', 'lz-fitness-premium')
            )
        )
    );

    $wp_customize->add_setting(
        'lz_fitness_featured_text',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('<p>Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, a Latin professor at Hampden Sydney Colleges.</p>', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_featured_text',
        array(
            'settings' =>'lz_fitness_featured_text',
            'section' => 'lz_fitness_featured_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'lz-fitness-premium')
        )
    );
// $wp_customize->add_setting(
//     'lz_fitness_featured_sub_title',
//     array(
//         'sanitize_callback' => 'lz_fitness_sanitize_text',
//         'default'           => __( 'Here goes the short description for the section', 'lz-fitness-premium' )
//     )
// );
// $wp_customize->add_control(
//     'lz_fitness_featured_sub_title',
//     array(
//         'settings'      => 'lz_fitness_featured_sub_title',
//         'section'       => 'lz_fitness_featured_section',
//         'type'          => 'textarea',
//         'label'         => __( 'Sub Title', 'lz-fitness-premium' ),
//     )
// );
  
$wp_customize->add_setting('lz_fitness_featured_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_featured_npp_heading',
        array(
            'settings'      => 'lz_fitness_featured_npp_heading',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Number Of featured Plans', 'lz-fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_featured_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 1));
$wp_customize->add_control(
    'lz_fitness_featured_npp_count',
    array(
        'settings'      => 'lz_fitness_featured_npp_count',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'lz-fitness-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_featured_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_header'.$i,
            array(
                'settings'      => 'lz_fitness_featured_header'.$i,
                'section'       => 'lz_fitness_featured_section',
                'label'         => __( 'Featured Page ', 'lz-fitness-premium' ).$i
            )
        )
    );

    // lzAddImageElement($wp_customize, 'lz_fitness_featured_page_icon'.$i, 'lz_fitness_featured_section', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'lz_fitness_featured_page_icon'.$i,
        array(
            'default'           => 'fa fa-car',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'lz_fitness_featured_page_icon'.$i,
            array(
                'settings'      => 'lz_fitness_featured_page_icon'.$i,
                'section'       => 'lz_fitness_featured_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'gurukul' ),
            )
        )
    );


    lzAddElement($wp_customize, 'lz_fitness_featured_page_title_'.$i, 'lz_fitness_featured_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='SEDAN CAR DRIVING');
    lzAddElement($wp_customize, 'lz_fitness_featured_page_desc_'.$i, 'lz_fitness_featured_section', $type = 'textarea', $label="Description", $callback ='lz_fitness_sanitize_text', $default='Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, Latin profesor at Hampden Sydney Colleges in Virginias, lokeeopsd ups one.');


    // $wp_customize->add_setting(
    //     'lz_fitness_featured_page'.$i,
    //     array(
    //         'sanitize_callback' => 'absint'
    //     )
    // );
    // $wp_customize->add_control(
    //     'lz_fitness_featured_page'.$i,
    //     array(
    //         'settings'      => 'lz_fitness_featured_page'.$i,
    //         'section'       => 'lz_fitness_featured_section',
    //         'type'          => 'dropdown-pages',
    //         'label'         => __( 'Select a Page', 'lz-fitness-premium' )
    //     )
    // );

}
// End Feature section 
  //main Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_MainHeadingColor', 'lz_fitness_featured_section', 'Heading color ', '#2b2b2b');
    // Icon color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_iconColor', 'lz_fitness_featured_section', 'Icon color', '#262626');
    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_HeadingColor', 'lz_fitness_featured_section', 'Title color ', '#363636');
    // Text color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_bannerTextColor', 'lz_fitness_featured_section', 'Banner Text color', '#363636');

    // Text color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_FeaturedTextColor', 'lz_fitness_featured_section', '
        Featured Text color', '#363636');
    
