<?php
/**
 * Customiser section for services
 **/
// Start Feature section 
$wp_customize->add_section(
    'lz_fitness_services_section',
    array(
        'title' => __( 'Services Section', 'lz-fitness-premium' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE FEATURED SECTION
$wp_customize->add_setting(
    'lz_fitness_services_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_services_section_disable',
        array(
            'settings'      => 'lz_fitness_services_section_disable',
            'section'       => 'lz_fitness_services_section',
            'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'lz-fitness-premium' ),
                'off' => __( 'No', 'lz-fitness-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'services', 'lz_fitness_services_section', $color='#f5f6f6', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting(
    'lz_fitness_services_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_services_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_services_title_sub_title_heading',
            'section'       => 'lz_fitness_services_section',
            'label'         => __( 'Section Title', 'lz-fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting(
    'lz_fitness_services_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'OUR SERVICES', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_services_title',
    array(
        'settings'      => 'lz_fitness_services_title',
        'section'       => 'lz_fitness_services_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'lz-fitness-premium' )
    )
);
// $wp_customize->add_setting(
//     'lz_fitness_services_sub_title',
//     array(
//         'sanitize_callback' => 'lz_fitness_sanitize_text',
//         'default'           => __( 'Here goes the short description for the section', 'lz-fitness-premium' )
//     )
// );
// $wp_customize->add_control(
//     'lz_fitness_services_sub_title',
//     array(
//         'settings'      => 'lz_fitness_services_sub_title',
//         'section'       => 'lz_fitness_services_section',
//         'type'          => 'textarea',
//         'label'         => __( 'Sub Title', 'lz-fitness-premium' ),
//     )
// );
  
$wp_customize->add_setting('lz_fitness_services_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_services_npp_heading',
        array(
            'settings'      => 'lz_fitness_services_npp_heading',
            'section'       => 'lz_fitness_services_section',
            'label'         => __( 'Number Of services Plans', 'lz-fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_services_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'lz_fitness_services_npp_count',
    array(
        'settings'      => 'lz_fitness_services_npp_count',
        'section'       => 'lz_fitness_services_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'lz-fitness-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_services_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_services_header'.$i,
            array(
                'settings'      => 'lz_fitness_services_header'.$i,
                'section'       => 'lz_fitness_services_section',
                'label'         => __( 'Service Page ', 'lz-fitness-premium' ).$i
            )
        )
    );

    lzAddImageElement($wp_customize, 'lz_fitness_services_page_icon'.$i, 'lz_fitness_services_section', $label="Recommended Image Size: 150X150px");

    lzAddElement($wp_customize, 'lz_fitness_services_page_title'.$i, 'lz_fitness_services_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='VIDEO CLASSES');

lzAddElement($wp_customize, 'lz_fitness_services_page_description'.$i, 'lz_fitness_services_section', $type = 'textarea', $label="Description", $callback ='lz_fitness_sanitize_text', $default='Contrary to popular belief, Lorem Ipsum is not simply ram text. It haots in a piece of classical Latin literature from 45 BC, making it over 20 yrs old. Richrd Mlintck, a Latin professor at Hampden Sydney Colleges in Virginias, lokeeopsd ups one.');

    // $wp_customize->add_setting(
    //     'lz_fitness_services_page'.$i,
    //     array(
    //         'sanitize_callback' => 'absint'
    //     )
    // );
    // $wp_customize->add_control(
    //     'lz_fitness_services_page'.$i,
    //     array(
    //         'settings'      => 'lz_fitness_services_page'.$i,
    //         'section'       => 'lz_fitness_services_section',
    //         'type'          => 'dropdown-pages',
    //         'label'         => __( 'Select a Page', 'lz-fitness-premium' )
    //     )
    // );

    lzAddElement($wp_customize, 'lz_fitness_services_page_url_'.$i, 'lz_fitness_services_section', $type = 'text', $label="Button Link", $callback ='esc_url', $default='Add link here');

    /*code for button text*/
    $wp_customize->add_setting(
        'lz_fitness_services_page_button_title_'.$i,
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Read More', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_services_page_button_title_'.$i,
        array(
            'settings' =>'lz_fitness_services_page_button_title_'.$i,
            'section' => 'lz_fitness_services_section',
            'type'=> 'text',
            'label'=> __('Button Text', 'lz-fitness-premium')
        )
    );


}
// End Feature section 
  // Heading color
    addColorPalatOption($wp_customize, 'lz_services_HeadingColor', 'lz_fitness_services_section', 'Heading color ', '#1c1c1c');
    // Title color
    addColorPalatOption($wp_customize, 'lz_services_TitleColor', 'lz_fitness_services_section', 'Title color ', '#1c1c1c');
     // Text color
    addColorPalatOption($wp_customize, 'lz_services_TextColor', 'lz_fitness_services_section', 'Text color', '#353535');
    // Button text color
    addColorPalatOption($wp_customize, 'lz_services_btntextColor', 'lz_fitness_services_section', 'Button Text color', '#fff');
    // Button Background color
    addColorPalatOption($wp_customize, 'lz_services_btnbgColor', 'lz_fitness_services_section', ' Button Background Color', '#333333');
    

    
